DashboardsUpdate dashboard
Dashboards

Update dashboard

Partially update dashboard fields including name and settings.

curl -X PATCH "https://api.mythic-analytics.com/api/v1/dashboards/example_string" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_TOKEN" \
  -d '{
  "name": "John Doe",
  "description": "example_string",
  "settings": {}
}'
{
  "success": true,
  "data": {
    "id": "dsh_4mK9pLrT",
    "name": "Marketing Overview",
    "description": "example_string",
    "settings": {},
    "created_at": "2024-04-15T10:00:00.000Z",
    "updated_at": "2024-06-10T16:45:00.000Z"
  }
}
PATCH
/dashboards/{id}
PATCH
Security Scheme
Bearer Tokenstring
Required

Admin API key as bearer token. Format: Bearer YOUR_ADMIN_KEY

Admin API key as bearer token. Format: Bearer YOUR_ADMIN_KEY
path
idstring
Required

Dashboard identifier.

Content-Typestring
Required

The media type of the request body

Options: application/json
Request Preview
Response

Response will appear here after sending the request

Authentication

header
Authorizationstring
Required

Bearer token. Admin API key as bearer token. Format: Bearer YOUR_ADMIN_KEY

Path Parameters

idstring
Required

Dashboard identifier.

Responses

successboolean
dataobject